import request from '@/utils/request'
import qs from 'qs'
import { SERVICE_CTRL_TOWER,upcloud_base_wh_outbound } from "@/config/serviceSettings";


//扫描监管码
export function addSupervisionCode(parameter) {
  return request({
    method: 'post',
    url: upcloud_base_wh_outbound + '/supervisionCode/addSupervisionCode',
    data: parameter
  })
}

export function getAuthByUser(params) {
  return request({
    url: SERVICE_CTRL_TOWER+'/userDataAuth/allDataAuthByUser/?companyType=H&pageNum=1&pageSize=10',
    method: 'get',
    // headers: { 'Content-Type': 'application/json' },
    params: params
  })
}

/* 代管确认 */
export function biillConfirm(params) {
  return request({
    url: upcloud_base_wh_outbound + '/special-wave/confirm',
    method: 'post',
    data: params
  })
}
//外复核复核打印草单
export function outerPapersliphPrint(params) {
  return request({
    url: upcloud_base_wh_outbound+'	/picktask/print-paperslip-outer',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}



